package com.ruoyi.predict.domain;

/**
 * @author hlf
 * @date 2022/7/28 14:04
 * 文件说明：场站
 */
public class StationInformation {

    //场站编号
    private Long no;

    //区域编号
    private Long areaNo;

    //所属区域
    private String areaBelongs;

    //场站名称
    private String stationName;

    //场站代码
    private String stationCode;

    //场站类型
    private String stationType;

    //场站经度
    private Double stationLongitude;

    //场站纬度
    private Double stationLatitude;

    //机组数量
    private Long numberUnits;

    //装机容量MW
    private Double installedCapacity;

    //所属公司
    private String affiliatedCompany;

    //场站类型
    private String itemVal;

    public Long getNo() {
        return no;
    }

    public void setNo(Long no) {
        this.no = no;
    }

    public Long getAreaNo() {
        return areaNo;
    }

    public void setAreaNo(Long areaNo) {
        this.areaNo = areaNo;
    }

    public String getAreaBelongs() {
        return areaBelongs;
    }

    public void setAreaBelongs(String areaBelongs) {
        this.areaBelongs = areaBelongs;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getStationType() {
        return stationType;
    }

    public void setStationType(String stationType) {
        this.stationType = stationType;
    }

    public Double getStationLongitude() {
        return stationLongitude;
    }

    public void setStationLongitude(Double stationLongitude) {
        this.stationLongitude = stationLongitude;
    }

    public Double getStationLatitude() {
        return stationLatitude;
    }

    public void setStationLatitude(Double stationLatitude) {
        this.stationLatitude = stationLatitude;
    }

    public Long getNumberUnits() {
        return numberUnits;
    }

    public void setNumberUnits(Long numberUnits) {
        this.numberUnits = numberUnits;
    }

    public Double getInstalledCapacity() {
        return installedCapacity;
    }

    public void setInstalledCapacity(Double installedCapacity) {
        this.installedCapacity = installedCapacity;
    }

    public String getAffiliatedCompany() {
        return affiliatedCompany;
    }

    public void setAffiliatedCompany(String affiliatedCompany) {
        this.affiliatedCompany = affiliatedCompany;
    }

    public String getItemVal() {
        return itemVal;
    }

    public void setItemVal(String itemVal) {
        this.itemVal = itemVal;
    }
}

